.slideshow {
    --slideshow-controls-color: 255, 255, 255;
}

@keyframes slideshow-progress {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(0);
    }
}

.slideshow .button {
    word-break: break-word;
    white-space: normal;
}

.slideshow .carousel__track {
    aspect-ratio: var(--desktop-aspect-ratio);
    overflow-y: hidden;
}

.slideshow theme-carousel[data-direction="vertical"] .carousel__track {
    height: var(--desktop-height);
    overflow-x: hidden;
    overflow-y: auto;
}

.slideshow__item {
    width: 100%;
}

.slideshow__image {
    position: relative;
    width: var(--slideshow-image-width);
    height: var(--slideshow-image-height);
}

.slideshow__image-link {
    display: block;
    position: relative;
    z-index: 1;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: inherit;
    -webkit-tap-highlight-color: transparent;
}

.slideshow__image-link .slideshow__image--mobile,
.slideshow__image-link .slideshow__image--desktop {
    position: relative;
    z-index: 1;
}

.slideshow__image--mobile,
.slideshow__image--desktop {
    position: relative;
    z-index: 1;
}

.slideshow__image--mobile img,
.slideshow__image--mobile svg,
.slideshow__image--desktop img,
.slideshow__image--desktop svg {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slideshow__image--mobile {
    display: none;
}

.slideshow__image--desktop {
    display: block;
    height: var(--desktop-height);
}

.slideshow__image-container {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    background-color: rgb(var(--color-image-background));
}

.slideshow__image-mask {
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    z-index: 2;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background-color: rgba(0,
            0,
            0,
            calc(var(--slideshow-image-mask-opacity) / 100));
    transform: translate(-50%, -50%);
}

.slideshow__group {
    position: relative;
    z-index: 3;
}

.slideshow__pager {
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 50%;
    z-index: 3;
    display: flex;
    gap: 10px;
    align-items: center;
    transform: translate(-50%, 0);
    height: 10px;
}

.slideshow__pager--dots {
    inset-block-end: 20px;
}

.slideshow__pager--dot {
    display: block;
    width: 6px;
    height: 6px;
    padding: 0;
    cursor: pointer;
    background-color: rgba(var(--slideshow-controls-color));
    border: 0;
    border-radius: 50%;
    transition: width, height, 0.3s;
}

.slideshow__pager--dot.is-active {
    width: 10px;
    height: 10px;
    border: 2px solid rgba(var(--slideshow-controls-color));
    background-color: transparent;
    opacity: 1;
}

.slideshow__pager--progresses {
    gap: 10px;
}

.slideshow__pager--progress {
    display: block;
    width: 120px;
    height: 6px;
    padding: 0;
    overflow: hidden;
    cursor: pointer;
    background-color: rgba(var(--slideshow-controls-color), 0.5);
    border: 0;
}

.slideshow__pager--progress.is-active {
    opacity: 1;
}

.slideshow__pager--progress.is-active .slideshow__pager--progress-inner {
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(var(--slideshow-controls-color));
    animation: slideshow-progress var(--slideshow-speed, 0s) linear forwards;
}

.slideshow__pager--progress.is-active .slideshow__pager--progress-inner-static {
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(var(--slideshow-controls-color));
}

.slideshow__pager--arrows {
    inset-block-end: 0;
    inset-inline: auto 40px;
    width: fit-content;
    transform: translateY(-48px);
}

.slideshow__pager--arrow {
    width: 40px;
    height: 40px;
    padding: 0;
    cursor: pointer;
    background-color: transparent;
    border: 1px solid rgba(var(--slideshow-controls-color));
    color: rgba(var(--slideshow-controls-color));
    filter: drop-shadow(0 4px 10px rgb(0 0 0 / 15%));
    border-radius: 50%;
}

.slideshow__pager--arrow[name="previous"] {
    transform: rotate(90deg);
}

.slideshow__pager--arrow[name="next"] {
    transform: rotate(-90deg);
}

.slideshow theme-carousel[data-direction="vertical"] .slideshow__pager--arrow[name="previous"] {
    transform: rotate(180deg);
}

.slideshow theme-carousel[data-direction="vertical"] .slideshow__pager--arrow[name="next"] {
    transform: rotate(0deg);
}

.slideshow__image--placeholder {
    display: block;
    width: 100%;
    height: 100%;
    color: rgba(var(--color-text), 0.15);
    background-color: rgba(var(--color-background), 0.9);
}

@media (max-width: 959px) {
    .slideshow .carousel__track {
        aspect-ratio: var(--mobile-aspect-ratio);
    }

    .slideshow theme-carousel[data-direction="vertical"] .carousel__track {
        height: var(--mobile-height);
    }

    .slideshow__image--mobile {
        display: block;
        height: var(--mobile-height);
    }

    .slideshow__image--desktop {
        display: none;
    }

    .slideshow__pager--progress {
        width: 60px;
    }

    .slideshow__pager--arrows {
        inset-inline: auto 20px;
    }

    .slideshow__pager--arrow {
        width: 32px;
        height: 32px;
    }

    .slideshow__pager--arrow svg {
        width: 10px;
        height: 10px;
    }
}

html[dir="rtl"] .announcement-bar__button-wrapper {
    transform: translateX(50%);
}

html[dir="rtl"] .slideshow__pager {
    transform: translate(50%, 0);
}

html[dir="rtl"] .slideshow__pager--arrow[name="previous"] {
    transform: rotate(-90deg);
}

html[dir="rtl"] .slideshow__pager--arrow[name="next"] {
    transform: rotate(90deg);
}

.slideshow__item .block-heading,
.slideshow__item .block-description,
.slideshow__item .block-button-group {
    -webkit-transform: translateY(20px);
    transform: translateY(20px);
    opacity: 0;
}

.slideshow__item.is-active .block-heading,
.slideshow__item.is-active .block-description,
.slideshow__item.is-active .block-button-group {
    -webkit-transition: all 0.4s cubic-bezier(0.1, 0.2, 0.7, 1);
    transition: all 0.4s cubic-bezier(0.1, 0.2, 0.7, 1);
    opacity: 1;
    visibility: visible;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}

.slideshow__image-container .content__group> :nth-child(1) {
    transition-delay: 0.1s;
}

.slideshow__image-container .content__group> :nth-child(2) {
    transition-delay: 0.2s;
}

.slideshow__image-container .content__group> :nth-child(3) {
    transition-delay: 0.3s;
}

.slideshow__image-container .content__group> :nth-child(4) {
    transition-delay: 0.4s;
}